<?php
$config = $this->getConfig();

// Load assets
if (rex::isBackend() && rex::getUser() && rex::getUser()->hasPerm('cryptor[yform]')) {
    rex_view::addJsFile($this->getAssetsUrl('cryptor_yform.min.js'));
    rex_view::addCssFile($this->getAssetsUrl('cryptor_yform.css'));
}

// Ajax handler
if (rex::isBackend() && rex::getUser() && rex::getUser()->hasPerm('cryptor[yform]')) {
    $type = rex_post('cryptor_yform', 'string', null);
    $value = rex_post('cryptor_yform_value');
    if ($type && $value) {
        $response = cryptor_yform::handleAjaxRequest($type, $value);
        rex_response::sendContent($response, 'application/json');
        die;
    }
}

// Add the extension points
foreach($config as $tableName) {
    foreach($config['extension_points'] as $extensionPoint) {
        if (isset($tableName[$extensionPoint])) {
            rex_extension::register($extensionPoint, function (rex_extension_point $ep) {
                cryptor_yform::handleExtensionpoint($ep);
            });
        }
    }
}

