<?php

/**
 * cryptor/yform handler for extension point REX_YFORM_SAVED
 *
 * @author marcel@scherkamp.de
 * @author <a href="https://scherkamp.de">scherkamp.de</a>
 */

class cryptor_yform_ep_rex_yform_saved extends cryptor_yform_ep_abstract {
    
    public static function execute($ep, $fieldnames) {
        // Only encrypt on insert actions
        if ($ep->getParam('action') !== 'insert') {
            return true;
        }
        
        // Parse the specific fields and fetch the entry
        $fields = parent::getConfigFieldnames($fieldnames);
        $entry = parent::getTableEntry($ep->getParam('table'), $ep->getParam('id'), $fields);
        if ($fields === false || $entry === false) {
            return true;
        }
        
        // Remove empty values
        $preparedEntry = parent::prepareEntry($entry, ['trim', 'encrypt']);
        
        // Encrypt and update the table entry
        return parent::updateTableEntry($ep->getParam('table'), $ep->getParam('id'), $preparedEntry);
    }
}
